#LANG "fb"
EXTERN "C" LIB "zbargtk"

#IFNDEF __ZBAR_GTK_H__
#DEFINE __ZBAR_GTK_H__
#INCLUDE ONCE "gtk/gtk.bi"
#include ONCE "zbar.bi"

#DEFINE ZBAR_TYPE_GTK (zbar_gtk_get_type())
#DEFINE ZBAR_GTK(obj) _
    (G_TYPE_CHECK_INSTANCE_CAST((obj), ZBAR_TYPE_GTK, ZBarGtk))
#DEFINE ZBAR_GTK_CLASS(klass) _
    (G_TYPE_CHECK_CLASS_CAST((klass), ZBAR_TYPE_GTK, ZBarGtkClass))
#DEFINE ZBAR_IS_GTK(obj) _
    (G_TYPE_CHECK_INSTANCE_TYPE((obj), ZBAR_TYPE_GTK))
#DEFINE ZBAR_IS_GTK_CLASS(klass) _
    (G_TYPE_CHECK_CLASS_TYPE((klass), ZBAR_TYPE_GTK))
#DEFINE ZBAR_GTK_GET_CLASS(obj) _
    (G_TYPE_INSTANCE_GET_CLASS((obj), ZBAR_TYPE_GTK, ZBarGtkClass))

TYPE ZBarGtk AS _ZBarGtk
TYPE ZBarGtkClass AS _ZBarGtkClass

TYPE _ZBarGtk
	AS GtkWidget widget
	AS gpointer PTR _private
END TYPE

TYPE _ZBarGtkClass
	AS GtkWidgetClass parent_class
	decoded AS SUB(BYVAL AS ZBarGtk PTR, BYVAL AS zbar_symbol_type_t, BYVAL AS CONST ZSTRING PTR)
	decoded_text AS SUB(BYVAL AS ZBarGtk PTR, BYVAL AS CONST ZSTRING PTR)
	scan_image AS SUB(BYVAL AS ZBarGtk PTR, BYVAL AS GdkPixbuf PTR)
END TYPE

DECLARE FUNCTION zbar_gtk_get_type() AS GType
DECLARE FUNCTION zbar_gtk_new() AS GtkWidget PTR
DECLARE SUB zbar_gtk_scan_image(BYVAL AS ZBarGtk PTR, BYVAL AS GdkPixbuf PTR)
DECLARE FUNCTION zbar_gtk_get_video_device(BYVAL AS ZBarGtk PTR) AS CONST ZSTRING PTR
DECLARE SUB zbar_gtk_set_video_device(BYVAL AS ZBarGtk PTR, BYVAL AS CONST ZSTRING PTR)
DECLARE FUNCTION zbar_gtk_get_video_enabled(BYVAL AS ZBarGtk PTR) AS gboolean
DECLARE SUB zbar_gtk_set_video_enabled(BYVAL AS ZBarGtk PTR, BYVAL AS gboolean)
DECLARE FUNCTION zbar_gtk_get_video_opened(BYVAL AS ZBarGtk PTR) AS gboolean
DECLARE FUNCTION zbar_gtk_image_from_pixbuf(BYVAL AS zbar_image_t PTR, BYVAL AS GdkPixbuf PTR) AS gboolean

#ENDIF ' __ZBAR_GTK_H__

END EXTERN ' (h_2_bi -P_oCD option)
